<?php
/**
 * The Customizer for custom fonts
 *
 * @package artica
 */

include('fonts.php');
	class artica_typo_Customize{
        public static function typo_register ( $wp_customize ) {
			$wp_customize->add_panel( 'typography', array(
			'title' => 'Typography',
			) );
			
			/** Body Text Section **/
			
            $wp_customize->add_section('body_text', array(
                    'title'      => __( 'Body Text', 'body_text' ),
                    'priority'   => 30,
					'panel' => 'typography',
                ));
            
			/** Body font family **/
			$wp_customize->add_setting('body_font_family', array(
                'default'        => 'Montserrat',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'body_font_family',
                    array(
                        'label'      => __('Font Family', 'body_text'),
                        'section'    => 'body_text',
                        'settings'   => 'body_font_family',
                        'type'       => 'select',
						'choices' =>artica_get_font_styles(),
                    )) );
					
			/** Body font style **/			
			$wp_customize->add_setting('body_font_style', array(
                'default'        => 'Normal',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'body_font_style',
                    array(
                        'label'      => __('Font Style', 'body_text'),
                        'section'    => 'body_text',
                        'settings'   => 'body_font_style',
                        'type'       => 'select',
						'choices' =>array(
						'Normal' => 'Normal',
						'Italic' => 'Italic',
						'Oblique'=> 'Oblique',
						'Inherit'=> 'Inherit',
						),
                    )) ); 
					
			/** Body font Weight **/			
			$wp_customize->add_setting('body_font_weight', array(
                'default'        => '300',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'body_font_weight',
                    array(
                        'label'      => __('Font Weight', 'body_text'),
                        'section'    => 'body_text',
                        'settings'   => 'body_font_weight',
                        'type'       => 'select',
						'choices' =>array(
						'100' => '100',
						'200' => '200',
						'300' => '300',
						'400' => '400',
						'500' => '500',
						'600' => '600',
						'700' => '700',
						'800' => '800',
						'900' => '900',
						),
                    )) );
					
		
			/** Body font size**/		
			$wp_customize->add_setting('body_font_size', array(
                'default'        => '16',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'body_font_size',
                    array(
                        'label'      => __('Font Size, px', 'body_text'),
                        'section'    => 'body_text',
                        'settings'   => 'body_font_size',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => 6,
						'max'  => 50,
						'step' => 1,
						),
                    )) );
			
			/** Body Line Height**/		
			$wp_customize->add_setting('body_line_height', array(
                'default'        => '1.8',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'body_line_height',
                    array(
                        'label'      => __('Line Height', 'body_text'),
                        'section'    => 'body_text',
                        'settings'   => 'body_line_height',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => 1.0,
						'max'  => 3.0,
						'step' => 0.1,
						),
                    )) );
			
			/** Body Letter Spacing**/		
			$wp_customize->add_setting('body_letter_spacing', array(
                'default'        => '1',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'body_letter_spacing',
                    array(
                        'label'      => __('Letter Spacing, px', 'body_text'),
                        'section'    => 'body_text',
                        'settings'   => 'body_letter_spacing',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => -10,
						'max'  => 10,
						'step' => 1,
						),
                    )) );
					
			/** Body Text Align**/		
			$wp_customize->add_setting('body_text_align', array(
                'default'        => 'Left',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'body_text_align',
                    array(
                        'label'      => __('Text Align', 'body_text'),
                        'section'    => 'body_text',
                        'settings'   => 'body_text_align',
                        'type'       => 'select',
						'choices' => array(
						'Inherit' => 'Inherit',
						'Center' => 'Center',
						'Right' => 'Right',
						'Left' => 'Left',
						'Justify' => 'Justify',
						),
                    )) );
					
		/** H1 Section **/
			
            $wp_customize->add_section('h1_heading', array(
                    'title'      => __( 'H1 Heading', 'h1_heading' ),
                    'priority'   => 30,
					'panel' => 'typography',
                ));
            
			/** H1 font family **/
			$wp_customize->add_setting('h1_font_family', array(
                'default'        => 'Montserrat',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h1_font_family',
                    array(
                        'label'      => __('Font Family', 'h1_heading'),
                        'section'    => 'h1_heading',
                        'settings'   => 'h1_font_family',
                        'type'       => 'select',
						'choices' =>artica_get_font_styles(),
                    )) );
					
			/** H1 font style **/			
			$wp_customize->add_setting('h1_font_style', array(
                'default'        => 'Normal',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h1_font_style',
                    array(
                        'label'      => __('Font Style', 'h1_heading'),
                        'section'    => 'h1_heading',
                        'settings'   => 'h1_font_style',
                        'type'       => 'select',
						'choices' =>array(
						'Normal' => 'Normal',
						'Italic' => 'Italic',
						'Oblique'=> 'Oblique',
						'Inherit'=> 'Inherit',
						),
                    )) ); 
					
			/** H1 font Weight **/			
			$wp_customize->add_setting('h1_font_weight', array(
                'default'        => '700',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h1_font_weight',
                    array(
                        'label'      => __('Font Weight', 'h1_heading'),
                        'section'    => 'h1_heading',
                        'settings'   => 'h1_font_weight',
                        'type'       => 'select',
						'choices' =>array(
						'100' => '100',
						'200' => '200',
						'300' => '300',
						'400' => '400',
						'500' => '500',
						'600' => '600',
						'700' => '700',
						'800' => '800',
						'900' => '900',
						),
                    )) );
					
		
			/** H1 font size**/		
			$wp_customize->add_setting('h1_font_size', array(
                'default'        => '40',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h1_font_size',
                    array(
                        'label'      => __('Font Size, px', 'h1_heading'),
                        'section'    => 'h1_heading',
                        'settings'   => 'h1_font_size',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => 6,
						'max'  => 50,
						'step' => 1,
						),
                    )) );
			
			/** H1 Line Height**/		
			$wp_customize->add_setting('h1_line_height', array(
                'default'        => '1.139',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h1_line_height',
                    array(
                        'label'      => __('Line Height', 'h1_heading'),
                        'section'    => 'h1_heading',
                        'settings'   => 'h1_line_height',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => 1.0,
						'max'  => 3.0,
						'step' => 0.1,
						),
                    )) );
			
			/** H1 Letter Spacing**/		
			$wp_customize->add_setting('h1_letter_spacing', array(
                'default'        => '0',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h1_letter_spacing',
                    array(
                        'label'      => __('Letter Spacing, px', 'h1_heading'),
                        'section'    => 'h1_heading',
                        'settings'   => 'h1_letter_spacing',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => -10,
						'max'  => 10,
						'step' => 1,
						),
                    )) );
					
			/**H1 Text Align**/		
			$wp_customize->add_setting('h1_text_align', array(
                'default'        => 'Inherit',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h1_text_align',
                    array(
                        'label'      => __('Text Align', 'h1_heading'),
                        'section'    => 'h1_heading',
                        'settings'   => 'h1_text_align',
                        'type'       => 'select',
						'choices' => array(
						'Inherit' => 'Inherit',
						'Center' => 'Center',
						'Right' => 'Right',
						'Left' => 'Left',
						'Justify' => 'Justify',
						),
                    )) );
		
		
		/** H2 Section **/
			
            $wp_customize->add_section('h2_heading', array(
                    'title'      => __( 'H2 Heading', 'h2_heading' ),
                    'priority'   => 30,
					'panel' => 'typography',
                ));
            
			/** H2 font family **/
			$wp_customize->add_setting('h2_font_family', array(
                'default'        => 'Montserrat',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h2_font_family',
                    array(
                        'label'      => __('Font Family', 'h2_heading'),
                        'section'    => 'h2_heading',
                        'settings'   => 'h2_font_family',
                        'type'       => 'select',
						'choices' =>artica_get_font_styles(),
                    )) );
					
			/** H2 font style **/			
			$wp_customize->add_setting('h2_font_style', array(
                'default'        => 'Normal',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h2_font_style',
                    array(
                        'label'      => __('Font Style', 'h2_heading'),
                        'section'    => 'h2_heading',
                        'settings'   => 'h2_font_style',
                        'type'       => 'select',
						'choices' =>array(
						'Normal' => 'Normal',
						'Italic' => 'Italic',
						'Oblique'=> 'Oblique',
						'Inherit'=> 'Inherit',
						),
                    )) ); 
					
			/** H2 font Weight **/			
			$wp_customize->add_setting('h2_font_weight', array(
                'default'        => '700',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h2_font_weight',
                    array(
                        'label'      => __('Font Weight', 'h2_heading'),
                        'section'    => 'h2_heading',
                        'settings'   => 'h2_font_weight',
                        'type'       => 'select',
						'choices' =>array(
						'100' => '100',
						'200' => '200',
						'300' => '300',
						'400' => '400',
						'500' => '500',
						'600' => '600',
						'700' => '700',
						'800' => '800',
						'900' => '900',
						),
                    )) );
					
		
			/** H2 font size**/		
			$wp_customize->add_setting('h2_font_size', array(
                'default'        => '32',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h2_font_size',
                    array(
                        'label'      => __('Font Size, px', 'h2_heading'),
                        'section'    => 'h2_heading',
                        'settings'   => 'h2_font_size',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => 6,
						'max'  => 50,
						'step' => 1,
						),
                    )) );
			
			/** H2 Line Height**/		
			$wp_customize->add_setting('h2_line_height', array(
                'default'        => '1.139',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h2_line_height',
                    array(
                        'label'      => __('Line Height', 'h2_heading'),
                        'section'    => 'h2_heading',
                        'settings'   => 'h2_line_height',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => 1.0,
						'max'  => 3.0,
						'step' => 0.1,
						),
                    )) );
			
			/** H2 Letter Spacing**/		
			$wp_customize->add_setting('h2_letter_spacing', array(
                'default'        => '0',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h2_letter_spacing',
                    array(
                        'label'      => __('Letter Spacing, px', 'h2_heading'),
                        'section'    => 'h2_heading',
                        'settings'   => 'h2_letter_spacing',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => -10,
						'max'  => 10,
						'step' => 1,
						),
                    )) );
					
			/**H2 Text Align**/		
			$wp_customize->add_setting('h2_text_align', array(
                'default'        => 'Inherit',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h2_text_align',
                    array(
                        'label'      => __('Text Align', 'h2_heading'),
                        'section'    => 'h2_heading',
                        'settings'   => 'h2_text_align',
                        'type'       => 'select',
						'choices' => array(
						'Inherit' => 'Inherit',
						'Center' => 'Center',
						'Right' => 'Right',
						'Left' => 'Left',
						'Justify' => 'Justify',
						),
                    )) );
					
		
		/** H3 Section **/
			
            $wp_customize->add_section('h3_heading', array(
                    'title'      => __( 'H3 Heading', 'h3_heading' ),
                    'priority'   => 30,
					'panel' => 'typography',
                ));
            
			/** H3 font family **/
			$wp_customize->add_setting('h3_font_family', array(
                'default'        => 'Montserrat',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h3_font_family',
                    array(
                        'label'      => __('Font Family', 'h3_heading'),
                        'section'    => 'h3_heading',
                        'settings'   => 'h3_font_family',
                        'type'       => 'select',
						'choices' =>artica_get_font_styles(),
                    )) );
					
			/** H3 font style **/			
			$wp_customize->add_setting('h3_font_style', array(
                'default'        => 'Normal',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h3_font_style',
                    array(
                        'label'      => __('Font Style', 'h3_heading'),
                        'section'    => 'h3_heading',
                        'settings'   => 'h3_font_style',
                        'type'       => 'select',
						'choices' =>array(
						'Normal' => 'Normal',
						'Italic' => 'Italic',
						'Oblique'=> 'Oblique',
						'Inherit'=> 'Inherit',
						),
                    )) ); 
					
			/** H3 font Weight **/			
			$wp_customize->add_setting('h3_font_weight', array(
                'default'        => '700',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h3_font_weight',
                    array(
                        'label'      => __('Font Weight', 'h3_heading'),
                        'section'    => 'h3_heading',
                        'settings'   => 'h3_font_weight',
                        'type'       => 'select',
						'choices' =>array(
						'100' => '100',
						'200' => '200',
						'300' => '300',
						'400' => '400',
						'500' => '500',
						'600' => '600',
						'700' => '700',
						'800' => '800',
						'900' => '900',
						),
                    )) );
					
		
			/** H3 font size**/		
			$wp_customize->add_setting('h3_font_size', array(
                'default'        => '28',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h3_font_size',
                    array(
                        'label'      => __('Font Size, px', 'h3_heading'),
                        'section'    => 'h3_heading',
                        'settings'   => 'h3_font_size',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => 6,
						'max'  => 50,
						'step' => 1,
						),
                    )) );
			
			/** H3 Line Height**/		
			$wp_customize->add_setting('h3_line_height', array(
                'default'        => '1.139',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h3_line_height',
                    array(
                        'label'      => __('Line Height', 'h3_heading'),
                        'section'    => 'h3_heading',
                        'settings'   => 'h3_line_height',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => 1.0,
						'max'  => 3.0,
						'step' => 0.1,
						),
                    )) );
			
			/** H3 Letter Spacing**/		
			$wp_customize->add_setting('h3_letter_spacing', array(
                'default'        => '0',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h3_letter_spacing',
                    array(
                        'label'      => __('Letter Spacing, px', 'h3_heading'),
                        'section'    => 'h3_heading',
                        'settings'   => 'h3_letter_spacing',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => -10,
						'max'  => 10,
						'step' => 1,
						),
                    )) );
					
			/**H3 Text Align**/		
			$wp_customize->add_setting('h3_text_align', array(
                'default'        => 'Inherit',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h3_text_align',
                    array(
                        'label'      => __('Text Align', 'h3_heading'),
                        'section'    => 'h3_heading',
                        'settings'   => 'h3_text_align',
                        'type'       => 'select',
						'choices' => array(
						'Inherit' => 'Inherit',
						'Center' => 'Center',
						'Right' => 'Right',
						'Left' => 'Left',
						'Justify' => 'Justify',
						),
                    )) );
			
	/** H4 Section **/
			
            $wp_customize->add_section('h4_heading', array(
                    'title'      => __( 'H4 Heading', 'h4_heading' ),
                    'priority'   => 30,
					'panel' => 'typography',
                ));
            
			/** H4 font family **/
			$wp_customize->add_setting('h4_font_family', array(
                'default'        => 'Montserrat',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h4_font_family',
                    array(
                        'label'      => __('Font Family', 'h4_heading'),
                        'section'    => 'h4_heading',
                        'settings'   => 'h4_font_family',
                        'type'       => 'select',
						'choices' =>artica_get_font_styles(),
                    )) );
					
			/** H4 font style **/			
			$wp_customize->add_setting('h4_font_style', array(
                'default'        => 'Normal',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h4_font_style',
                    array(
                        'label'      => __('Font Style', 'h4_heading'),
                        'section'    => 'h4_heading',
                        'settings'   => 'h4_font_style',
                        'type'       => 'select',
						'choices' =>array(
						'Normal' => 'Normal',
						'Italic' => 'Italic',
						'Oblique'=> 'Oblique',
						'Inherit'=> 'Inherit',
						),
                    )) ); 
					
			/** H4 font Weight **/			
			$wp_customize->add_setting('h4_font_weight', array(
                'default'        => '300',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h4_font_weight',
                    array(
                        'label'      => __('Font Weight', 'h4_heading'),
                        'section'    => 'h4_heading',
                        'settings'   => 'h4_font_weight',
                        'type'       => 'select',
						'choices' =>array(
						'100' => '100',
						'200' => '200',
						'300' => '300',
						'400' => '400',
						'500' => '500',
						'600' => '600',
						'700' => '700',
						'800' => '800',
						'900' => '900',
						),
                    )) );
					
		
			/** H4 font size**/		
			$wp_customize->add_setting('h4_font_size', array(
                'default'        => '28',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h4_font_size',
                    array(
                        'label'      => __('Font Size, px', 'h4_heading'),
                        'section'    => 'h4_heading',
                        'settings'   => 'h4_font_size',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => 6,
						'max'  => 50,
						'step' => 1,
						),
                    )) );
			
			/** H4 Line Height**/		
			$wp_customize->add_setting('h4_line_height', array(
                'default'        => '1.139',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h4_line_height',
                    array(
                        'label'      => __('Line Height', 'h4_heading'),
                        'section'    => 'h4_heading',
                        'settings'   => 'h4_line_height',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => 1.0,
						'max'  => 3.0,
						'step' => 0.1,
						),
                    )) );
			
			/** H4 Letter Spacing**/		
			$wp_customize->add_setting('h4_letter_spacing', array(
                'default'        => '0',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h4_letter_spacing',
                    array(
                        'label'      => __('Letter Spacing, px', 'h4_heading'),
                        'section'    => 'h4_heading',
                        'settings'   => 'h4_letter_spacing',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => -10,
						'max'  => 10,
						'step' => 1,
						),
                    )) );
					
			/**H4 Text Align**/		
			$wp_customize->add_setting('h4_text_align', array(
                'default'        => 'Inherit',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h4_text_align',
                    array(
                        'label'      => __('Text Align', 'h4_heading'),
                        'section'    => 'h4_heading',
                        'settings'   => 'h4_text_align',
                        'type'       => 'select',
						'choices' => array(
						'Inherit' => 'Inherit',
						'Center' => 'Center',
						'Right' => 'Right',
						'Left' => 'Left',
						'Justify' => 'Justify',
						),
                    )) );	


		/** H4 Section **/
			
            $wp_customize->add_section('h5_heading', array(
                    'title'      => __( 'H5 Heading', 'h5_heading' ),
                    'priority'   => 30,
					'panel' => 'typography',
                ));
            
			/** H5 font family **/
			$wp_customize->add_setting('h5_font_family', array(
                'default'        => 'Montserrat',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h5_font_family',
                    array(
                        'label'      => __('Font Family', 'h5_heading'),
                        'section'    => 'h5_heading',
                        'settings'   => 'h5_font_family',
                        'type'       => 'select',
						'choices' =>artica_get_font_styles(),
                    )) );
					
			/** H5 font style **/			
			$wp_customize->add_setting('h5_font_style', array(
                'default'        => 'Normal',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h5_font_style',
                    array(
                        'label'      => __('Font Style', 'h5_heading'),
                        'section'    => 'h5_heading',
                        'settings'   => 'h5_font_style',
                        'type'       => 'select',
						'choices' =>array(
						'Normal' => 'Normal',
						'Italic' => 'Italic',
						'Oblique'=> 'Oblique',
						'Inherit'=> 'Inherit',
						),
                    )) ); 
					
			/** H5 font Weight **/			
			$wp_customize->add_setting('h5_font_weight', array(
                'default'        => '300',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h5_font_weight',
                    array(
                        'label'      => __('Font Weight', 'h5_heading'),
                        'section'    => 'h5_heading',
                        'settings'   => 'h5_font_weight',
                        'type'       => 'select',
						'choices' =>array(
						'100' => '100',
						'200' => '200',
						'300' => '300',
						'400' => '400',
						'500' => '500',
						'600' => '600',
						'700' => '700',
						'800' => '800',
						'900' => '900',
						),
                    )) );
					
		
			/** H5 font size**/		
			$wp_customize->add_setting('h5_font_size', array(
                'default'        => '28',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h5_font_size',
                    array(
                        'label'      => __('Font Size, px', 'h5_heading'),
                        'section'    => 'h5_heading',
                        'settings'   => 'h5_font_size',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => 6,
						'max'  => 50,
						'step' => 1,
						),
                    )) );
			
			/** H5 Line Height**/		
			$wp_customize->add_setting('h5_line_height', array(
                'default'        => '1.139',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h5_line_height',
                    array(
                        'label'      => __('Line Height', 'h5_heading'),
                        'section'    => 'h5_heading',
                        'settings'   => 'h5_line_height',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => 1.0,
						'max'  => 3.0,
						'step' => 0.1,
						),
                    )) );
			
			/** H5 Letter Spacing**/		
			$wp_customize->add_setting('h5_letter_spacing', array(
                'default'        => '0',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h5_letter_spacing',
                    array(
                        'label'      => __('Letter Spacing, px', 'h5_heading'),
                        'section'    => 'h5_heading',
                        'settings'   => 'h5_letter_spacing',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => -10,
						'max'  => 10,
						'step' => 1,
						),
                    )) );
					
			/**H5 Text Align**/		
			$wp_customize->add_setting('h5_text_align', array(
                'default'        => 'Inherit',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h5_text_align',
                    array(
                        'label'      => __('Text Align', 'h5_heading'),
                        'section'    => 'h5_heading',
                        'settings'   => 'h5_text_align',
                        'type'       => 'select',
						'choices' => array(
						'Inherit' => 'Inherit',
						'Center' => 'Center',
						'Right' => 'Right',
						'Left' => 'Left',
						'Justify' => 'Justify',
						),
                    )) );
					
		/** H4 Section **/
			
            $wp_customize->add_section('h6_heading', array(
                    'title'      => __( 'H6 Heading', 'h6_heading' ),
                    'priority'   => 30,
					'panel' => 'typography',
                ));
            
			/** H6 font family **/
			$wp_customize->add_setting('h6_font_family', array(
                'default'        => 'Montserrat',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h6_font_family',
                    array(
                        'label'      => __('Font Family', 'h6_heading'),
                        'section'    => 'h6_heading',
                        'settings'   => 'h6_font_family',
                        'type'       => 'select',
						'choices' =>artica_get_font_styles(),
                    )) );
					
			/** H6 font style **/			
			$wp_customize->add_setting('h6_font_style', array(
                'default'        => 'Normal',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h6_font_style',
                    array(
                        'label'      => __('Font Style', 'h6_heading'),
                        'section'    => 'h6_heading',
                        'settings'   => 'h6_font_style',
                        'type'       => 'select',
						'choices' =>array(
						'Normal' => 'Normal',
						'Italic' => 'Italic',
						'Oblique'=> 'Oblique',
						'Inherit'=> 'Inherit',
						),
                    )) ); 
					
			/** H6 font Weight **/			
			$wp_customize->add_setting('h6_font_weight', array(
                'default'        => '300',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h6_font_weight',
                    array(
                        'label'      => __('Font Weight', 'h6_heading'),
                        'section'    => 'h6_heading',
                        'settings'   => 'h6_font_weight',
                        'type'       => 'select',
						'choices' =>array(
						'100' => '100',
						'200' => '200',
						'300' => '300',
						'400' => '400',
						'500' => '500',
						'600' => '600',
						'700' => '700',
						'800' => '800',
						'900' => '900',
						),
                    )) );
					
		
			/** H6 font size**/		
			$wp_customize->add_setting('h6_font_size', array(
                'default'        => '28',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h6_font_size',
                    array(
                        'label'      => __('Font Size, px', 'h6_heading'),
                        'section'    => 'h6_heading',
                        'settings'   => 'h6_font_size',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => 6,
						'max'  => 50,
						'step' => 1,
						),
                    )) );
			
			/** H6 Line Height**/		
			$wp_customize->add_setting('h6_line_height', array(
                'default'        => '1.139',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h6_line_height',
                    array(
                        'label'      => __('Line Height', 'h6_heading'),
                        'section'    => 'h6_heading',
                        'settings'   => 'h6_line_height',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => 1.0,
						'max'  => 3.0,
						'step' => 0.1,
						),
                    )) );
			
			/** H6 Letter Spacing**/		
			$wp_customize->add_setting('h6_letter_spacing', array(
                'default'        => '0',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h6_letter_spacing',
                    array(
                        'label'      => __('Letter Spacing, px', 'h6_heading'),
                        'section'    => 'h6_heading',
                        'settings'   => 'h6_letter_spacing',
                        'type'       => 'number',
						'input_attrs' => array(
						'min'  => -10,
						'max'  => 10,
						'step' => 1,
						),
                    )) );
					
			/**H6 Text Align**/		
			$wp_customize->add_setting('h6_text_align', array(
                'default'        => 'Inherit',
                'capability'     => 'edit_theme_options',
                'type'           => 'option',
            ));
			$wp_customize->add_control(
                new WP_Customize_Control($wp_customize,'h6_text_align',
                    array(
                        'label'      => __('Text Align', 'h6_heading'),
                        'section'    => 'h6_heading',
                        'settings'   => 'h6_text_align',
                        'type'       => 'select',
						'choices' => array(
						'Inherit' => 'Inherit',
						'Center' => 'Center',
						'Right' => 'Right',
						'Left' => 'Left',
						'Justify' => 'Justify',
						),
                    )) );
								
		
        }
     
	function artica_customize_typo_css()
        {
            $body_font_family = get_option('body_font_family');
			$body_font_style = get_option('body_font_style');
			$body_font_weight=get_option('body_font_weight');
			$body_font_size=get_option('body_font_size');
            $body_line_height=get_option('body_line_height');
			$body_letter_spacing=get_option('body_letter_spacing');
            $body_text_align=get_option('body_text_align');
			
			$h1_font_family = get_option('h1_font_family');
			$h1_font_style = get_option('h1_font_style');
			$h1_font_weight=get_option('h1_font_weight');
			$h1_font_size=get_option('h1_font_size');
            $h1_line_height=get_option('h1_line_height');
			$h1_letter_spacing=get_option('h1_letter_spacing');
            $h1_text_align=get_option('h1_text_align');
			
			$h2_font_family = get_option('h2_font_family');
			$h2_font_style = get_option('h2_font_style');
			$h2_font_weight=get_option('h2_font_weight');
			$h2_font_size=get_option('h2_font_size');
            $h2_line_height=get_option('h2_line_height');
			$h2_letter_spacing=get_option('h2_letter_spacing');
            $h2_text_align=get_option('h2_text_align');
			
			$h3_font_family = get_option('h3_font_family');
			$h3_font_style = get_option('h3_font_style');
			$h3_font_weight=get_option('h3_font_weight');
			$h3_font_size=get_option('h3_font_size');
            $h3_line_height=get_option('h3_line_height');
			$h3_letter_spacing=get_option('h3_letter_spacing');
            $h3_text_align=get_option('h3_text_align');
			
			$h4_font_family = get_option('h4_font_family');
			$h4_font_style = get_option('h4_font_style');
			$h4_font_weight=get_option('h4_font_weight');
			$h4_font_size=get_option('h4_font_size');
            $h4_line_height=get_option('h4_line_height');
			$h4_letter_spacing=get_option('h4_letter_spacing');
            $h4_text_align=get_option('h4_text_align');
			
			$h5_font_family = get_option('h5_font_family');
			$h5_font_style = get_option('h5_font_style');
			$h5_font_weight=get_option('h5_font_weight');
			$h5_font_size=get_option('h5_font_size');
            $h5_line_height=get_option('h5_line_height');
			$h5_letter_spacing=get_option('h5_letter_spacing');
            $h5_text_align=get_option('h5_text_align');
			
			$h6_font_family = get_option('h6_font_family');
			$h6_font_style = get_option('h6_font_style');
			$h6_font_weight=get_option('h6_font_weight');
			$h6_font_size=get_option('h6_font_size');
            $h6_line_height=get_option('h6_line_height');
			$h6_letter_spacing=get_option('h6_letter_spacing');
            $h6_text_align=get_option('h6_text_align');
            ?>
			<style>
			body{
			font-family:'<?php echo $body_font_family; ?>';
			font-style:<?php echo $body_font_style; ?>;
			font-weight:<?php echo $body_font_weight; ?>;
			font-size:<?php echo $body_font_size; ?>px;
			line-height:<?php echo $body_line_height; ?>;
			letter-spacing:<?php echo $body_letter_spacing; ?>px;
			text-align:<?php echo $body_text_align; ?>;
			}
			
			h1{
			font-family:'<?php echo $h1_font_family; ?>';
			font-style:<?php echo $h1_font_style; ?>;
			font-weight:<?php echo $h1_font_weight; ?>;
			font-size:<?php echo $h1_font_size; ?>px;
			line-height:<?php echo $h1_line_height; ?>;
			letter-spacing:<?php echo $h1_letter_spacing; ?>px;
			text-align:<?php echo $h1_text_align; ?>;
			}
			
			h2{
			font-family:'<?php echo $h2_font_family; ?>';
			font-style:<?php echo $h2_font_style; ?>;
			font-weight:<?php echo $h2_font_weight; ?>;
			font-size:<?php echo $h2_font_size; ?>px;
			line-height:<?php echo $h2_line_height; ?>;
			letter-spacing:<?php echo $h2_letter_spacing; ?>px;
			text-align:<?php echo $h2_text_align; ?>;
			}
			
			h3{
			font-family:'<?php echo $h3_font_family; ?>';
			font-style:<?php echo $h3_font_style; ?>;
			font-weight:<?php echo $h3_font_weight; ?>;
			font-size:<?php echo $h3_font_size; ?>px;
			line-height:<?php echo $h3_line_height; ?>;
			letter-spacing:<?php echo $h3_letter_spacing; ?>px;
			text-align:<?php echo $h3_text_align; ?>;
			}
			
			h4{
			font-family:'<?php echo $h4_font_family; ?>';
			font-style:<?php echo $h4_font_style; ?>;
			font-weight:<?php echo $h4_font_weight; ?>;
			font-size:<?php echo $h4_font_size; ?>px;
			line-height:<?php echo $h4_line_height; ?>;
			letter-spacing:<?php echo $h4_letter_spacing; ?>px;
			text-align:<?php echo $h4_text_align; ?>;
			}
			
			h5{
			font-family:'<?php echo $h5_font_family; ?>';
			font-style:<?php echo $h5_font_style; ?>;
			font-weight:<?php echo $h5_font_weight; ?>;
			font-size:<?php echo $h5_font_size; ?>px;
			line-height:<?php echo $h5_line_height; ?>;
			letter-spacing:<?php echo $h5_letter_spacing; ?>px;
			text-align:<?php echo $h5_text_align; ?>;
			}
			
			h6{
			font-family:'<?php echo $h6_font_family; ?>';
			font-style:<?php echo $h6_font_style; ?>;
			font-weight:<?php echo $h6_font_weight; ?>;
			font-size:<?php echo $h6_font_size; ?>px;
			line-height:<?php echo $h6_line_height; ?>;
			letter-spacing:<?php echo $h6_letter_spacing; ?>px;
			text-align:<?php echo $h6_text_align; ?>;
			}
			
            </style><?php  
        }

  }
  
    add_action( 'customize_register' , array( 'artica_typo_Customize' , 'typo_register' ) );
	add_action('wp_head',array( 'artica_typo_Customize' , 'artica_customize_typo_css' ) ); 

   
	?>